> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Reconciliation Report

> Create a reconciliation report for the requested start and end date.



## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml post /deliver/reports/recon
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/reports/recon:
    post:
      tags:
        - Reports
      summary: Create a reconciliation report
      description: Create a reconciliation report for the requested start and end date.
      operationId: post-reports-recon
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReconReportRequest'
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconReportResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - write:reports
components:
  schemas:
    ReconReportRequest:
      title: ReconReportRequest
      type: object
      required:
        - start_time
        - end_time
      properties:
        start_time:
          allOf:
            - $ref: '#/components/schemas/StartTime'
          x-orum-error-missing:
            message: start_time is required
            code: missing_start_time
          x-orum-error-invalid:
            message: start_time must be a valid timestamp
            code: invalid_start_time
        end_time:
          allOf:
            - $ref: '#/components/schemas/EndTime'
          x-orum-error-missing:
            message: end_time is required
            code: missing_end_time
          x-orum-error-invalid:
            message: end_time must be a valid timestamp
            code: invalid_end_time
        report_scope:
          allOf:
            - $ref: '#/components/schemas/ReportScope'
          x-orum-error-invalid:
            message: >-
              report_scope must be one of the following: total, enterprise,
              subledger
            code: invalid_report_scope
        subledger_reference_id:
          allOf:
            - $ref: '#/components/schemas/SubledgerReferenceId'
          x-orum-error-invalid:
            message: subledger_reference_id must be a valid string
            code: invalid_subledger_reference_id
    ReconReportResponse:
      title: ReconReportResponse
      type: object
      required:
        - report
      properties:
        report:
          allOf:
            - $ref: '#/components/schemas/ReportResponseBase'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    StartTime:
      type: string
      description: The start time of the report range in ISO-8601 format.
      format: date-time
      example: '2023-07-13T00:00:00.000Z'
    EndTime:
      type: string
      description: The end time of the report range in ISO-8601 format.
      format: date-time
      example: '2023-07-13T00:00:00.000Z'
    ReportScope:
      title: ReportScope
      type: string
      description: The scope of the report.
      enum:
        - total
        - enterprise
        - subledger
      default: total
    SubledgerReferenceId:
      title: SubledgerReferenceId
      type: string
      description: Unique reference id for the subledger resource. Generated by you.
      minLength: 1
      maxLength: 255
    ReportResponseBase:
      title: ReportResponseBase
      type: object
      required:
        - id
        - created_at
        - start_time
        - end_time
        - status
        - report_scope
      properties:
        id:
          $ref: '#/components/schemas/OrumId'
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        start_time:
          $ref: '#/components/schemas/StartTime'
        end_time:
          $ref: '#/components/schemas/EndTime'
        status:
          $ref: '#/components/schemas/ReportStatusResponse'
        report_scope:
          $ref: '#/components/schemas/ReportScope'
        subledger_reference_id:
          $ref: '#/components/schemas/SubledgerReferenceId'
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    CreatedAt:
      type: string
      description: Timestamp when the resource was created.
      format: date-time
    ReportStatusResponse:
      title: ReportStatus
      type: string
      description: Status of the report.
      enum:
        - created
        - pending
        - completed
        - failed
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````